=== debian/changelog ===
plowshare4 (1.0.5-2) unstable; urgency=high

  * Disable javascript support (Closes: #791467)

 -- Carl Suster <carl@contraflo.ws>  Tue, 14 Jul 2015 18:45:22 +1000

plowshare4 (1.0.5-1) unstable; urgency=medium

  * New upstream release.
  * fix-man-page-typos.patch now fixed in upstream.
  * Drop Replaces: plowshare since it was never in the archive.
  * Drop Conflicts: plowshare3 since it was never in the archive.
  * Add Recommends: sxiv as an alternative X image viewer.
  * Add Suggests: fbi as a framebuffer viewer.
  * Remove executable permission on module files.

 -- Carl Suster <carl@contraflo.ws>  Sun, 31 Aug 2014 18:53:00 +1000

plowshare4 (1.0.4-1) unstable; urgency=low

  * Initial release. (Closes: #599924)

 -- Carl Suster <carl@contraflo.ws>  Sat, 26 Jul 2014 16:38:56 +1000
